REST APIAgents
Rotate one webhook
Re-mints the webhook token. The one-time URL is returned here and nowhere else.
POST
/api/build/agents/{ref}/rotate-webhookAuthorization
bearerAuth AuthorizationBearer <token>
OAuth access token whose grant carries Build authorization.
In: header
Path Parameters
ref*string
Agent or workflow id or slug.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Rotate one webhook trigger.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/build/agents/string/rotate-webhook" \ -H "Content-Type: application/json" \ -d '{ "trigger_id": "5727dbbb-3b26-4abe-aec6-181eabbdb21c" }'{ "data": { "trigger_id": "string", "secret_prefix": "string", "url": "string" }}